<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <input type="text" id="nome">
    <input type="text" id="cpf">
    <buttom onclick="valida()">X</buttom>

    <script>
        var nome;
        var cpf;

        function valida(){
            nome = document.getElementById("nome").value;
            cpf = document.getElementById("cpf").value;

            if (nome == " "){
                alert("Campo Nome INVALIDO!");
            }
            if(cpf == " "){
                alert("Campo CPF INVALIDO!");
            }                var regra = /^[0-9]+$/;
            if(cpf.match(regra)){
                alert("Tudo ok")
            }else{
                alert("precisa ser numero!")
            }
        }
    </script>
</body>
</html>